Subject: bug#76523: 30.0.93; with-native-compilation=aot breaks some Lisp

From: Stefan Kangas <[email-masked]>
Date: Mon, 24 Feb 2025 20:23:01 +0000

Eli Zaretskii <[email-masked]> writes:

>> From: Stefan Kangas <[email-masked]>
>> Date: Mon, 24 Feb 2025 19:42:35 +0000
>> Cc: [email-masked], [email-masked], [email-masked],
>> 	[email-masked]
>>
>> Eli Zaretskii <[email-masked]> writes:
>>
>> >> > 53a5dada413662389a17c551a00d215e51f5049f
>> >> >     Fix compilation errors due to insufficient compiler safety (bug#63288)
>> >>
>> >> Thanks.  Eli, Andrea, WDYT about cherry-picking this to emacs-30?
>> >
>> > It's just a build issue.  Why is it urgent to backport it?
>>
>> I don't think it's urgent, but looking at the fix it seems relatively
>> straightforward so I don't see much harm either.  Please cherry-pick it
>> if you agree, if not I think we can live it.
>
> It didn't look straightforward to me, but if Andrea thinks it's
> straightforward and safe, I'm okay with backporting it.

It might look like that to me because I just read that code, so it's
fresh in my mind.  I could also be missing something.

Let's see if Andrea has any thoughts.